
:root{
    --green:#1f5e2c;
    --green-dark:#16441f;
    --yellow:#f4b400;
    --bg:#f7f8fa;
    --border:#e5e7eb;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter',sans-serif;
    background:var(--bg);
    color:#1f2937;
}

.container{
    width:100%;
    max-width:1400px;
    margin:auto;
    padding: 0 10px;
}

.header{
    background:white;
    padding:0px 0;
    box-shadow:0 2px 10px rgba(0,0,0,.05);
    position:sticky;
    top:0;
    z-index:100;
}

.footer{
    background:#f4b400;
    padding:20px 0;
    box-shadow:0 2px 10px rgba(0,0,0,.05);
    position:sticky;
    top:0;
    z-index:100;
	color:#fff;
	fill: #fff;
}
.footer a{
	text-decoration:none;
	color:#fff;
	fill: #fff;
}

.topbar{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:20px;
}

.logo{
    font-size:28px;
    font-weight:800;
    color:var(--green);
}

.search{
    flex:1;
    max-width:700px;
    position:relative;
}

.search input{
    width:100%;
    height:55px;
    border:2px solid var(--border);
    border-radius:14px;
    padding:0 20px;
    font-size:15px;
}

.search button{
    position:absolute;
    right:6px;
    top:6px;
    height:43px;
    padding:0 20px;
    border:none;
    background:var(--green);
    color:white;
    border-radius:8px;
    cursor:pointer;
}

.page{
    padding:4px 0;
}

.page-layout{
    display:grid;
    grid-template-columns:1fr;
    gap:30px;
}


.institucional-layout {
  margin-top: 35px;
  margin-bottom: 35px;
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(25%,1fr));
  gap: 25px;
}

.institucional-layout h3{
  margin-top: 15px;
  margin-bottom: 15px;

  text-transform: uppercase;
  margin: 10px 0;
  border-bottom: solid 1px #fff;
}

.institucional-layout p{
   text-align: justify;
}

.menu-layout {
  margin-top: 10px;
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(25%,1fr));
  gap: 25px;
}

.menu-layout a{
  text-align:center;
  text-decoration: none;
  color: #1f5e2c;
  border-bottom: solid 5px #FFF;
}

.menu-layout a:hover{
	color: #f4b400;
	border-bottom: solid 5px #f4b400;
}


.filter-group{
    margin-bottom:30px;
}

.filter-group h4{
    margin-bottom:12px;
}

.filter-group label{
    display:block;
    margin-bottom:10px;
    cursor:pointer;
}

.content-top{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-top:25px;
    margin-bottom:25px;
}

.content-top h1{
    font-size:34px;
    color:var(--green);
}

.sort{
    height:45px;
    padding:0 15px;
    border-radius:8px;
    border:1px solid var(--border);
}

.products{
    display:grid;
    grid-template-columns:
    repeat(auto-fill,minmax(280px,1fr));
    gap:25px;
}

.card {
  background: #FFF;
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0 8px 20px rgba(0,0,0,.05);
  transition: .3s;
}

.card:hover {
  box-shadow: 4px 8px 15px 0px rgba(0, 0, 0, 0.3);
}

.card-image {
  margin: 0;
  background-color: #fff;
  width: 100%; 
  height: 300px;
  overflow: hidden; 
  position: relative;
}

.card-image a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 0;
  box-sizing: border-box;
}

.card-image .foto {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  object-fit: contain;
}

.oferta {
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 9;
  pointer-events: none;
}

.oferta img {
  width: 150px;
  height: auto;
}

.imagem_ilustrativa {
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 5px 10px;
  background: #00000050;
  border-radius: 8px 0 0 0;
  font-weight: bold;
  color: #FFFFFF;
}

.card-body {
  padding: 20px;
}

.category{
    color:#6b7280;
    font-size:13px;
    margin-bottom:8px;
}

.title{
    font-size:15px;
    font-weight:700;
    margin-bottom:12px;
}

.price{
    font-size:25px;
    color:var(--green);
    font-weight:800;
}

.installments{
    font-size:14px;
    color:#6b7280;
    margin-bottom:18px;
}

.installments b {
  font-size: 11px;
  line-height: 11px;
  color: #55b909;
}

.installments span {
  font-size: 13px;
  font-weight: bold;
  color: #1f5e2c;
}

.actions{
    display:flex;
    gap:10px;
}

.btn{
    flex:1;
    border:none;
    height:48px;
    border-radius:8px;
    cursor:pointer;
    font-weight:700;
}

.btn-details{
  text-align: center;
  line-height: 48px;
  background: #25d366;
  color: #FFF;
  text-decoration: none;
}

.btn-whatsapp{
    background:#25d366;
    color:white;
}

.pagination{
    display:flex;
    justify-content:center;
    gap:10px;
    margin-top:50px;
}

.pagination button, .pagination a{
    width:95px;
    height:45px;
    border:none;
    border-radius:8px;
    background:white;
    cursor:pointer;
	text-align:center;
	text-decoration:none;
	line-height:45px;
	color: #000;
}

.pagination .active{
    background:var(--green);
    color:white;
}

.whatsapp{
    position:fixed;
    right:25px;
    bottom:25px;
    width:70px;
    height:70px;
    border-radius:50%;
    background:#25d366;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:30px;
    text-decoration:none;
    box-shadow:0 10px 25px rgba(0,0,0,.2);
}

.categoria-content{
	margin-top: 30px;
	margin-bottom: 25px;
}

.categoria {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(150px,1fr));
  gap: 10px;

}
.categoria a {
  text-align: center;
  background: #25d366;
  color: #FFF;
  text-decoration: none;
  border-radius: 8px;
  font-size: 9px;
  line-height: 15px;
  padding: 5px;
}

.categoria .SELECTED{
	background: #f4b400;
}

@media(max-width:992px){

.page-layout{
    grid-template-columns:1fr;
}
.institucional-layout{
    grid-template-columns:1fr;
}

.topbar{
	display:block;
}

.logo {
  text-align: center;
}


.content-top{
    flex-direction:column;
    align-items:flex-start;
    gap:15px;
}

}